"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var createBuilders_1 = require("./createBuilders");
exports.default = (function (options) {
    var defaultOptions = {};
    var _a = options || defaultOptions, cwd = _a.cwd, cmd = _a.cmd, builderName = _a.builderName, builderOverrides = _a.builderOverrides, genConfigOverrides = _a.genConfigOverrides;
    var dir = path.resolve(cwd || '.');
    var builders = createBuilders_1.default({
        cwd: dir,
        cmd: cmd || 'watch',
        argv: {},
        builderOverrides: builderOverrides,
        genConfigOverrides: genConfigOverrides
    }).builders;
    var builder;
    if (builderName) {
        builder = builders[builder];
    }
    else {
        var builderNames = Object.keys(builders || {}).filter(function (name) { return !builders[name].parent; });
        if (builderNames.length > 1) {
            throw new Error('Too many matching builders declared you must pick the right one');
        }
        else {
            builder = builders[builderNames[0]];
        }
    }
    return builder.config;
});
//# sourceMappingURL=createConfig.js.map