"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var minilog = require("minilog");
var createBuilders_1 = require("./createBuilders");
minilog.enable();
var logger = minilog('spin');
exports.default = (function (cwd, configPath, builderName) {
    var builder;
    try {
        var builders = createBuilders_1.default({ cwd: cwd, cmd: 'watch', argv: { c: configPath }, builderName: builderName }).builders;
        for (var _i = 0, _a = Object.keys(builders); _i < _a.length; _i++) {
            var builderId = _a[_i];
            if (builders[builderId].name === builderName) {
                builder = builders[builderId];
                break;
            }
        }
    }
    catch (e) {
        if (e.cause) {
            logger.error(e);
        }
        throw e;
    }
    if (!builder) {
        throw new Error("Builder " + builderName + " not found, cwd: " + cwd + ", config path: " + configPath);
    }
    return builder.config;
});
//# sourceMappingURL=createWebpackConfig.js.map